Table of Contents

## Name

XtParseTranslationTable, XtAugmentTranslations, XtOverrideTranslations, XtUninstallTranslations - manage translation tables

## Syntax

XtTranslations XtParseTranslationTable(String table);
void XtAugmentTranslations(Widget w, XtTranslations translations);
void XtOverrideTranslations(Widget w, XtTranslations
  translations);
void XtUninstallTranslations(Widget w);

## Arguments

table
  Specifies the translation table to compile.
translations
  Specifies the compiled translation table to merge in (must not be NULL).
w
  Specifies the widget into which the new translations are to be merged or removed.

## Description

The XtParseTranslationTable function compiles the translation table into the opaque internal representation of type XtTranslations. Note that if an empty translation table is required for any purpose, one can be obtained by calling XtParseTranslationTable and passing an empty string.

The XtAugmentTranslations function nondestructively merges the new translations into the existing widget translations. If the new translations contain an event or event sequence that already exists in the widget's translations, the new translation is ignored.

The XtOverrideTranslations function destructively merges the new translations into the existing widget translations. If the new translations contain an event or event sequence that already exists in the widget's translations, the new translation is merged in and override the widget's translation.

To replace a widget's translations completely, use XtSetValues on the XtNtranslations resource and specify a compiled translation table as the value.

The XtUninstallTranslations function causes the entire translation table for widget to be removed.

## See Also

XtAppAddActions(3Xt) , XtCreatePopupShell(3Xt) , XtParseAcceleratorTable(3Xt) , XtPopup(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also